Opera 5.2 for QNX

  • Hello all,
    We are interested to know about Opera 5.2 version for QNX.
    We referred the link http://www.operasoftware.com/press/releases/desktop/first-internationalized-opera.

    1. Is Opera 5.2 version for QNX source code freely available to public? If not, how much does it cost?
    2. Is it supported for QNX4.x versions?
    3. Is there any configuration option possible for opera back-engine to use any other browser other than voyager browser in QNX? How this can be done?

    Thanks,
    Alaipayuthe

  • Dude, are you serious? Opera 5.2 is from 2001. It is too old.

  • Yes. We know it, Buddy.:up:
    Still we are seriously interested in Opera 5.2 version for QNX.
    We could hardly find any other recent versions of Opera supported for QNX.
    Also our system running on QNX is also pretty old.. QNX4.25.
    Can you please answer our queries? I repeat it again here...

    1. Is Opera 5.2 version for QNX source code freely available to public? If not, how much does it cost?
    2. Is it supported for QNX4.x versions?
    3. Is there any configuration option possible for opera back-engine to use any other browser other than voyager browser in QNX? How this can be done?

    Thanking you in advance,
    Regards
    Alaipayuthe

  • I doubt anyone here knows the answers, but some Opera employee could perhaps look it up. Though I expect Opera uses its own browser. I see there were also a couple of beta versions from 2002 (they are available from the FTP server) ... but I doubt the source is available. Still you could always see if they run ...

    ftp://ftp.opera.com/pub/opera/qnx/

    (Despite the dates on the folders, the file dates do indicate 6.01 Beta1 is the later version.)

  • Ok sgunhouse for your reply.
    I have downloaded the binaries available in the above mentioned link.
    I also understood that Opera 6.01 Beta 1 is for QNX6.2 version as it is mentioned in openqnx.com URL.
    http://www.openqnx.com/node/23

    Still I would like to get clear answers for our queries as soon as possible.
    I have already sent emails to contact points mentioned in http://www.operasoftware.com/press/contact
    But no one has replied yet. ;_;

    Another thing which I need to point out is that: No websites mention exactly which QNX version on which Opera 5.2 is directly supported. But all the installer binaries for Opera which I got from the opera ftp is of .qpr extension.
    Unfortunately I came to know that .qpr file installation is not handled in QNX4.x versions.

    This is a crucial point for me.. I need to find out if any of these Opera versions is supported for QNX 4.25 and whether its source is publicly available.

    Can anyone tell me which door I need to approach to get my queries answered?

    Looking forward to your valuable replies,
    Alaipayuthe

  • It is impossible to get Opera source because it is closed source, sorry.

  • Well Blackberry X/10 is QNX underneath, so if there's Opera for it I assume it's a QNX app, that is unless it's using BB X/10's android app layer or runtime via POSIX or Java or however they do it.

Log in to reply
 

Looks like your connection to Opera forums was lost, please wait while we try to reconnect.